Subject: Re: [PATCH -next] regulator: aat2870-regulator.c needs module.h

From: Samuel Ortiz <[email-masked]>
Date: Mon, 1 Aug 2011 11:25:18 +0200

Hi Stephen, Liam,

On Mon, Aug 01, 2011 at 11:05:07AM +1000, Stephen Rothwell wrote:
> On Mon, 1 Aug 2011 10:33:04 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Mon, 1 Aug 2011 01:15:24 +0100 Mark Brown <[email-masked]> wrote:
> > >
> > > On Fri, Jul 29, 2011 at 09:13:09PM -0700, Randy Dunlap wrote:
> > > > From: Randy Dunlap <[email-masked]>
> > > > 
> > > > aat2870-regulator.c needs to include linux/module.h to fix multiple
> > > > build errors.
> > > 
> > > Acked-by: Mark Brown <[email-masked]>
> > > 
> > > but if the breakage isn't in mainline yet to minimize the breaks
> > > bisection someone should figure out which tree introduced the change
> > > with module.h and either get the fix merged along with that.  If neither
> > > the module.h change nor the driver is in Linus' tree yet I rather
> > > suspect this should go via MFD as I seem to recall that the driver is
> > > going in via there.
> > 
> > It is indeed.  I have this patch set to apply to my tree today after the
> > mfd tree.  Hopefully Samuel will put it in his tree for tomorrow (and
> > before he asks Linus to pull.
> 
> Too late :-)
Sorry about that. I thought I would hear about any breakage after I pushed my
bits on Friday morning.
Anyway, Liam, are you going to push this fix through your tree ?

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/